aboutsummaryrefslogtreecommitdiffstats
path: root/testing/openvas-cli/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2015-11-30 14:15:58 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2015-11-30 14:15:58 +0000
commit203434bb1f43791c9360337a97370e9e66d90b24 (patch)
tree9f5f83b112cf4f9f287019f43e8862510721427c /testing/openvas-cli/APKBUILD
parent0c7c6cdb1584e9bf5bc4a5287067aaa4457c2827 (diff)
downloadaports-203434bb1f43791c9360337a97370e9e66d90b24.tar.bz2
aports-203434bb1f43791c9360337a97370e9e66d90b24.tar.xz
testing/openvas-cli: new aport
Diffstat (limited to 'testing/openvas-cli/APKBUILD')
-rw-r--r--testing/openvas-cli/APKBUILD47
1 files changed, 47 insertions, 0 deletions
diff --git a/testing/openvas-cli/APKBUILD b/testing/openvas-cli/APKBUILD
new file mode 100644
index 0000000000..f35dccf376
--- /dev/null
+++ b/testing/openvas-cli/APKBUILD
@@ -0,0 +1,47 @@
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=openvas-cli
+pkgver=1.4.3
+pkgrel=0
+_pkgid=2209
+pkgdesc="The OpenVAS Command-Line Interface"
+url="http://www.openvas.org"
+arch="all"
+license="GPL"
+depends=""
+depends_dev=""
+makedepends="$depends_dev openvas-libraries-dev cmake doxygen xmltoman"
+install=""
+subpackages="$pkgname-doc"
+source="http://wald.intevation.org/frs/download.php/$_pkgid/$pkgname-$pkgver.tar.gz
+ 001-fortify-source.patch"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ cmake -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=/usr \
+ -DSYSCONFDIR=/etc -DLOCALSTATEDIR=/var .
+ make
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir/" install
+}
+
+md5sums="827fc66fe351fb81ea2d6fb42d9353bf openvas-cli-1.4.3.tar.gz
+e68124db28f32ee8ffeb22333c070090 001-fortify-source.patch"
+sha256sums="69b9b31c0391f6a7e2d1e6fe7f18616c8cfaac570a665192ccbdeae6da0f5978 openvas-cli-1.4.3.tar.gz
+9c5d09524cd01c0a2646fb7caafd6c944e7b2c539b7af1a5de02f68b4f296006 001-fortify-source.patch"
+sha512sums="a85c754612b8f8102aa1ccf0af72f3266758c4873f7c346004b4f6794bfa8e562dbe14009ae04a2792978354454fa75f8a912bc13a83bce3604ff00019c363e3 openvas-cli-1.4.3.tar.gz
+81c1a3951889a811afadf82d118e2694614076fa4471c6d3c11c1d1fe07144edf7c60c2b8f74a7dd5f06acdcd4235382b27a5e0d0f2a1b1d701cad29127c70b2 001-fortify-source.patch"